Page MenuHomePhabricator

Assess the Python 3 compatibility of pyslet
Closed, DeclinedPublic

Description

pyslet implements the QTI spec.

It is mostly the work of one person, Steve Lay of QuestionMark.

It lacks linting on Python 2 (https://github.com/swl10/pyslet/issues/3) and the project for Python 3 support is ongoing (https://github.com/swl10/pyslet/issues/38).

It would be useful to finish the Python 2 linting, so that Python 3 linting can be used to gauge how much work remains for"alpha" Python 3 support.

pep8 linting progress is being tracked at https://github.com/swl10/pyslet/blob/master/pep8-todo.txt

Event Timeline

jayvdb created this task.Oct 16 2016, 3:59 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2016, 3:59 AM
Miriya52 claimed this task.Oct 16 2016, 4:51 PM
Mvolz added a subscriber: Mvolz.Oct 26 2016, 9:26 AM
Aklapper renamed this task from Assess the Python 3 compatability of pyslet to Assess the Python 3 compatibility of pyslet.Oct 27 2016, 11:24 AM

I have fixed all remaining 800+ PEP errors and the pull request is here: https://github.com/swl10/pyslet/pull/57

Miriya52 reassigned this task from Miriya52 to jayvdb.Oct 27 2016, 10:54 PM
Miriya52 added a subscriber: Miriya52.

I could only figure out how to assign the task to one person. @jayvdb @Mvolz

Mvolz reassigned this task from jayvdb to Miriya52.Oct 28 2016, 8:46 AM
jayvdb updated the task description. (Show Details)Nov 1 2016, 12:09 PM
Zoranzoki21 closed this task as Declined.Dec 31 2018, 7:10 AM
Zoranzoki21 added a subscriber: Zoranzoki21.

Closing as declined because of archival per T202803.